
/*ori-set*/
.section-title {
  text-align: center;
  font-size: 2.5rem;
  font-weight: 900 ;
  color: #628c8a;
}

.section-subtitle {
  text-align: center;
  font-size: 1rem;
  font-weight: 600;
  margin-bottom: 2rem;
}

.block{
  padding-top: 4rem;
}

/* end tag */
.end-tag {
  background-color: #bbb; /* 灰底 */
  color: #fff;
  font-size: 0.7rem;
  padding: 0.1rem 0.4rem;
  border-radius: 50px; /* 橢圓形 */
  margin-left: 0.5rem;
}

/* === RWD (<768px) === */
@media (max-width: 768px) {
  .section-title {
    font-size: 1.8rem;
  }
  .section-subtitle {
    font-size: 0.8rem;
  }
  .block{
    padding-top: 3.5rem;
}
}

/*------header------*/
/* === Navbar === */
.navbar {
  background-color: #628c8a;
  border-bottom: 1px solid rgba(255, 255, 255, 0.3);
  position: sticky;
  top: 0;
  z-index: 100;
}

.navbar .container{
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding: 0.8rem 1.2rem;
}

/* === LOGO(1rem=16px) === */
.logo img {
  height: 2.5rem;
  width: auto;
  object-fit: contain;
}

/* === nav-link === */
.nav-links {
  display: flex;
  align-items: center;
  gap: 1.6rem;
}

.nav-links a {
  text-decoration: none;
  color: #fff;
  font-size: 1rem;
  font-weight: 600;
  transition: color 0.3s;
}

.nav-links a:hover {
  color: #e0e0e0;
}

/* === social === */
.nav-links .social-links {
  display: flex;
  align-items: center;
  gap: 10px;
}

.nav-links .social-links img {
  width: 1.5rem;
  height: 1.5rem;
  transition: opacity 0.3s;
}

.nav-links .social-links img:hover {
  opacity: 0.7;
}

/* === 漢堡按鈕 === */
.menu-toggle {
  display: none;
  background: none;
  border: none;
  font-size: 1.5rem;
  color: #fff;
  cursor: pointer;
}

/* === RWD<768 === */
@media (max-width: 768px) {
  .nav-links {
    display: none;
    flex-direction: column;
    align-items: center;
    background-color: #4b6d6b;
    width: 100%;
    padding: 1rem 0;
    gap: 1rem;
    position: absolute;
    top: 100%;
    left: 0;
  }

  .menu-toggle {
    display: block;
    position: absolute;
    top: 0.8rem;     
    right: 1.3rem;
    font-size: 1.8rem;
  }

  /*導覽列展開*/
  .navbar.active .nav-links {
    display: flex;
  }
}

/*------banner------*/
#banner{
  position: relative;
  width: 100%;
  height: 33vw; /* 可依需求調整高度 */
  overflow: hidden;
  text-align: center;
}
.banner-img{
  width: 100%;
  height: 100%;
  object-fit: cover; /* 圖片保持比例填滿 */
  object-position: right bottom;
  display: block;
}
.banner-overlay {
  position: absolute;
  width: 100%;
  height: 100%;
  top: 0;
  left: 0;
}
.banner-overlay .container{
  height: 100%;
  text-align: left;

}
.banner-text{
  font-size: 4rem;
  font-weight: 700;
  color: #fff;
  padding-left: 10%;
  padding-top: 5%;
}
.banner-text .btn {
  display: inline-block;
  padding: 0.3rem 0.8rem;
  font-size: 1.1rem;
  font-weight: 600;
  color: #fff;
  background-color: #ff7022;
  text-decoration: none;
  border-radius: 5px;
  transition: background-color 0.3s, color 0.3s;
}

/* === RWD<768 === */
@media (max-width: 768px) {
  #banner{
    height: 50vw; /* 可依需求調整高度 */
  }
  .banner-text{
    font-size: 2rem;
  }
}
/* === RWD>1400 === */
@media (min-width: 1400px) {
  .banner-text{
    font-size: 5rem;
  }
}

/*------course------*/
.course-slider {
  width: 100%;
  margin: 0 auto;
}
.course-card {
  background-color: #fff;
  border-radius: 10px;
  overflow: hidden;
  box-shadow: 0 2px 10px rgba(0,0,0,0.1);
  transition: transform 0.3s ease;
}
.course-frame, .course-frame:visited, .course-frame:hover, .course-frame:active {
  text-decoration: none;
  color: inherit;
}
.course-card:hover {
  transform: translateY(-5px);
}

/* 讓圖片保持 1:1 */
.img-box {
  position: relative;
  width: 100%;
  padding-top: 100%; /* 1:1 比例 */
  overflow: hidden;
}
.course-img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover; /* 保持比例不變形 */
}
.course-info {
  padding: 1.2rem;
}
.course-title {
  font-size: 1.2rem;
  font-weight: 600;
}
.course-date {
  font-size: 1rem;
  color: #777;
}
.course-desc {
  font-size: 1rem;
  color: #555;
  line-height: 1.5;
}

/* Slick 調整 */
.slick-slide {
 padding: 0 0.8rem;
}
/* === RWD (<768px) === */
@media (max-width: 768px) {
  .course-slider {
    width: 90%;
  }
  .course-info h3 {
    font-size: 1.2rem;
  }
  .course-desc {
    font-size: 1rem;
  }
}

/*-----photo-------*/
.activity-gallery {
    padding: 5rem 0;
    background: #fff;
    color: #333;
}

.gallery-title {
    text-align: center;
    font-size: 2rem;
    font-weight: bold;
    margin-bottom: 2rem;
}
/* === act-card === */
.activity-card{
  padding: 1rem;
  margin: 0 0.5rem;
  background: rgba(0,0,0,0.15);
  border-radius: 10px;
  overflow: hidden;
  box-shadow: 0 2px 10px rgba(0,0,0,0.1);
  transition: transform 0.3s ease;
}
.activity-grid{
  display: flex;
    justify-content: space-around;
}
.activity-name {
  text-align: center;
  font-size: 1.2rem;
  font-weight: 700;
}
.activity-photos{
  display: flex;
  justify-content: space-around;
}
.act-imgBox{
  position: relative;
  width: 31%; 
  padding-top: 31%;
}
.act-imgBox img{
  position: absolute;
  top: 0;
  right: 0;
  left: 0;
  bottom: 0; 
  width: 100%;
  height: 100%; 
  object-fit: cover; 
  object-position: center;
  border-radius: 10px;
}

/* === RWD (<768px) === */
@media (max-width: 768px) {
  .activity-photos{
    display:flex;
    flex-direction: column;
    align-items: center;
  }
  .act-imgBox{
    width: 80%; 
    padding-top: 80%;
  }
  .act-imgBox img{
    padding: 0.5rem;
  }
}

/*------about------*/
.about-outline{
  margin-bottom: 2rem;
}
.about-fram{
  background-color: #f3eee6;
  margin: 1rem;
  border-radius: 10px;
}
.about-fram .col-9{
  padding-bottom: 1rem;
  padding-top: 1rem;
}
.about-icon{
  display: flex; 
  align-items: center;
  height: 100%;
  font-size: 2.2rem;
  padding: rem;
}
.about-title{
  white-space:nowrap;
  text-align: left;
  padding-left: 1rem;
  font-size: 2.2rem;
  font-weight: 800;
}
.about-con{
  white-space:nowrap;
  text-align: left;
  padding-left: 1rem;
  margin-right: 2rem;
  font-size: 1rem;
  font-weight: 600;
}

@media (max-width: 1200px) {
  .about-icon{
     font-size: 2rem;
  }
  .about-title{
    font-size: 1.8rem;
  }
  .about-con{
    font-size: 0.8rem;
  }
}

/* === video === */
.ratio-bg{
 border: 2px solid #444;
 background-color: #444;
}

/*------Join------*/
.join-section {
  color: #fff;
  padding: 4rem 0;
}

.join-container {
  background-color: #628c8a;
  padding: 1rem 4rem;
  border-radius: 1rem;

  display: flex;
  align-items: center;
  justify-content: center;
  gap: 1.5rem;
  margin: 0 auto;
  flex-wrap: nowrap;
}

/* left */
.join-frame{
  padding: 1.2rem;
  text-wrap: nowrap;
}

.join-left {
  text-align: right;
}

.join-title {
  font-size: 2rem;
  font-weight: 700;
  margin-bottom: 0;
}

.join-subtitle {
  font-size: 1.25rem;
  opacity: 0.9;
  margin-bottom: 0;
}

/* middle */
.join-middle {
  display: flex;
  align-items: top;
  justify-content: center;
   
}

.join-benefits {
  list-style: none;
  padding: 0 1rem;
  margin: 0;
}

.join-benefits li{
  font-size: 1rem;
  line-height: 1.8;
  margin-bottom: 0.3rem;
}

/* right */
.join-right {
  text-align: left;
}

.join-btn {
  background-color: #fff;
  color: #628c8a;
  font-size: 1.1rem;
  font-weight: 600;
  padding: 0.5rem 1.6rem;
  border-radius: 2rem;
  text-decoration: none;
  transition: all 0.3s ease;
  box-shadow: 0 0.3rem 0.6rem rgba(0, 0, 0, 0.15);
  display: inline-block;
}

.join-btn:hover {
  background-color: #f2eee7;
  color: #4f6f6e;
  transform: translateY(-0.2rem);
}

/* === RWD<992px === */
@media (max-width: 992px) {
  .join-frame{
    padding: 0.3rem;
    text-wrap: nowrap;
  }
  .join-benefits {
    padding: 0 ;
  }
}
/* === RWD<768px === */
@media (max-width: 768px) {
  .join-container {
    flex-direction: column;
    text-align: center;
    gap: 0;
    width: 90%;
  }
  .join-middle {
    flex-direction: column;
    align-items: top;
    justify-content: center;
    text-align: left;
  }
  .join-left {
    text-align: center;
  }
  .join-benefits li {
    font-size: 0.95rem;
    white-space:nowrap;
  }
}

/*footer*/
footer {
  background: #eee;
  padding: 5rem 5rem;
  text-align: center;
}
.footer-social-icons img {
  height: 2em;
  margin-left: 10px;
  vertical-align: middle;
}
.footer-social-icons{
  padding-bottom: 2em;
}
.copy{
  font-size: 0.8rem;
}

/* === RWD<768px === */
@media (max-width: 768px) {
  footer {
    padding: 4rem 3rem;
  }
}

/*側邊按鈕*/
.floating-join-btn {
  position: fixed;
  right: 0.5%;
  bottom: 50%;
  transform: translateY(50%);
  display: flex;
  justify-content: center;
  align-items: center;
  width: 4rem;
  height: 4rem;
  border-radius: 50%;
  background-color: #ffcc66;
  color: #4a4a4a;
  font-size: 1rem;
  font-weight: 800;
  text-decoration: none;
  color: inherit;
  box-shadow: 0 0.6rem 1rem rgba(0, 0, 0, 0.25);
  transition: all 0.3s ease;
  z-index: 9999;
}

.floating-join-btn:hover {
  background-color: #ffd98c;
  transform: translateY(50%) scale(1.07);
  color: inherit;
}

@media (max-width: 768px) {
  .floating-join-btn {
    width: 3.5rem;
    height: 3.5rem;
    font-size: 0.9rem;
  }
}
